import javax.mail._
import javax.mail.internet._
import java.util._

object GmailSenderSimple extends App {
  if(args.size < 2) {
    println("Usage: gmail-sender-simple gmail-user gmail-password")
    sys.exit(1)
  }

  val Array(username, password, _*) = args

  val properties = new Properties()
  properties.put("mail.smtp.host", "smtp.gmail.com")
  properties.put("mail.smtp.starttls.enable","true")
  val session = Session.getDefaultInstance(properties)
  val message = new MimeMessage(session)

  message.setFrom(s"User Name <$username>")
  message.addRecipients(Message.RecipientType.TO, s"User Name <$username>")
  message.setSubject("Greetings!")
  message.setText("Hello!")

  Transport.send(message, username, password)
}
